Inactive [DEV] NarrowtuxLib v1.3.1 - Assistant, Translation, Notifications, etc. [1.2.3-R0.3]

Discussion in 'Inactive/Unsupported Plugins' started by narrowtux, Jul 12, 2011.

  1. Offline

    narrowtux

    NarrowtuxLib
    Version 1.3.1

    This Library has been created by me to have a common base for all of my plugins.
    Feel free to use it's functionality in your own plugins ;)

    Features
    • Assistant API - You may know the Assistants from my Showcase plugin, the classes have now been moved to this plugin, so when multiple plugins use assistants, they won't interfere so much like it is now
    • Translation API - Translations can be in a flatfile (key=value). Translations can have multiple arguments and colors in [COLOR]-Tags.
    • Notification API - Plugins can send notifications to players. When the players are offline, the notifications are gathered and send to them when they come online
    • Some Helper-Classes, like the FlatFileReader or FileUtils which can get/set contents to a file.
    • Auto-Update - so every Server has the latest version of that (thanks @Afforess for this one in your source ;))
    • @nijikonkun 's Register API built in!
    Download
    NarrowtuxLib.jar
    Sourcecode on github

    Plugins that use this Library
    • Showcase
    • PistonChest
    Feel free to drop a message with your plugin here ;)

    Changelog

    Version 1.3.1
    • Compatible build with 1.2.3-R0.3
    [snip...]
    Version 1.0
    • Uses Register.jar as plugin, thus fixes some bugs concerning economy systems.
    Version 0.5
    • Updated for Spout
    • Assistant use the GUI when spoutcraft is installed on the client.
    • Can disable the automatic installation of Spout in the config (use with caution, this will likely break plugins which use the Assistant API)
    Version 0.4
    • Register API
    Version 0.3
    • Notification API
    • BukkitContrib dependency
    Version 0.2
    • First public release
    Todo
    • Documentation with JavaDocs (nearly done)
    • Add a NarrowtuxPlayer class which can handle Item-add/remove and Money, as well as sending messages and notifications (via BukkitContrib)
     
    lolwizard, dark_hunter and woodzy like this.
  2. Offline

    S4h4rk

    Thank you for the great plugin that so many other plugins use.

    I'm having a issue with it conflicting with Register. Any ETA on when there will be a build made available with the built in Register in its own name space?

    Best regards,
    S4h4rk
     
  3. Offline

    Aza24

    Javadoc anyone?
     
  4. Offline

    dralletje

    please add iconomy 6 support!
    I still get the same error as the other above me :'(
    I WANT SHOWCASES!!!!!!

    and if you are adding iconomy 6 support please also add mysql support :p
     
  5. Offline

    Darknessblea

    04:00 PM [INFO] [Pail] Setting up window...
    04:00 PM [INFO] [Pail] Pail 0.7.5 Enabled
    04:00 PM [INFO] [Permissions] version [3.1.6] (Yeti) loaded
    04:00 PM [INFO] Preparing level "Home"
    04:00 PM [INFO] Default game type: 0
    04:00 PM [INFO] Preparing start region for level 0 (Seed: 58372432670934669)
    04:00 PM [INFO] Preparing start region for level 1 (Seed: -3942927912076438617)
    04:00 PM [INFO] Preparing spawn area: 36%
    04:00 PM [INFO] AutoClear version 1.2 is enabled!
    04:00 PM [INFO] [CFBanner] Plugin has been enabled!
    04:00 PM [INFO] [CFBanner] Permissions found. Using Permissions v3.1.6
    04:00 PM [INFO] [CFBanner] 1.9.2 loaded!
    04:00 PM [INFO] EasyNoNotification is enabled
    04:00 PM [INFO] [EconomyPunga] EconomyPunga v.1.2.5 enabled!
    04:00 PM [INFO] [EconomyPunga] Config loaded successfully!
    04:00 PM [INFO] Loaded Essentials build 2.6.3 by: Zenexer, ementalo, Aelux, Brettflan, KimKandor, snowleo, ceulemans, Xeology, KHobbits
    04:00 PM [INFO] Essentials: Using Permissions 3 based permissions.
    04:00 PM [INFO] [EconomyPunga] Successfully linked with Essentials v.2.2
    04:00 PM [INFO] Loaded EssentialsChat build 2.6.3 by: essentials team
    04:00 PM [INFO] Loaded EssentialsProtect build 2.6.3 by: essentials team
    04:00 PM [INFO] Loaded EssentialsSpawn build 2.6.3 by: essentials team
    04:00 PM [INFO] [Giant Trees] version 0.3.3 is enabled
    04:00 PM [INFO] [HeroChat] HeroChat version 4.10.3 enabled.
    04:00 PM [INFO] [HeroChat] Permissions 3.1.6 found.
    04:00 PM [WARNING] [HeroChat] Conflicting plugin detected: EssentialsChat. If you experience issues, please try disabling this plugin.
    04:00 PM [INFO] [iConomy - Celty] Enabled (21 ms)
    04:00 PM [INFO] [Essentials] Payment method found (iConomy version: 6)
    04:00 PM [INFO] LogBlockQuestioner v0.02 enabled
    04:00 PM [INFO] Logstopper version:1.0 has been enabled
    04:00 PM [INFO] MCBans: Can only run in online mode!
    04:00 PM [INFO] MCBans: Disabled
    04:00 PM [INFO] [MultiVerse] Permissions Found
    04:00 PM [INFO] [MultiVerse] - Version 1.7.2 Enabled
    04:00 PM [INFO] [MultiVerse] Found iConomy, enabling payments.
    04:00 PM [INFO] [MultiVerse] Loading World & Settings - 'Home' - NORMAL
    04:00 PM [INFO] [MultiVerse] Loading World & Settings - 'Home_nether' - NETHER
    04:00 PM [INFO] [MultiVerse] 2 - World(s) loaded.
    04:00 PM [INFO] [MultiVerse] Loading Portals
    04:00 PM [INFO] [MultiVerse] 0 - Portal(s) loaded.
    04:00 PM [INFO] [NarrowtuxLib] v0.8.11 by [narrowtux] enabled.
    04:00 PM [SEVERE] Could not pass event PLUGIN_ENABLE to NarrowtuxLib
    04:00 PM [INFO] [NoCheat] This version is for CB #1240. It may break at any time and for any other version.
    04:00 PM [INFO] [NoCheat] version [2.1] is enabled.
    04:00 PM [SEVERE] Could not pass event PLUGIN_ENABLE to NarrowtuxLib
    04:00 PM [INFO] NoDeathMessage has been enabled.
    04:00 PM [SEVERE] Could not pass event PLUGIN_ENABLE to NarrowtuxLib
    04:00 PM [INFO] npcx : load settings (0.031) begun
    04:00 PM [INFO] jdbc:mysql://localhost:3306/npcx?autoReconnect=true
    04:00 PM [INFO] npcx : initialising database connection
    04:00 PM [INFO] **********************************************
    04:00 PM [INFO] * Load settings failed to find default world *
    04:00 PM [INFO] * Please change it in ncpx.properties *
    04:00 PM [INFO] **********************************************
    04:00 PM [SEVERE] Could not pass event PLUGIN_ENABLE to NarrowtuxLib
    04:00 PM [INFO] [OKSpamSecurity] Attempting to enable OKSpamSecurity v1.0.3 by Kalman Olah...
    04:00 PM [INFO] [OKSpamSecurity] Initiating auto-update...
    04:00 PM [INFO] [OKSpamSecurity] You already have the latest version of OKSpamSecurity.
    04:00 PM [INFO] [OKSpamSecurity] Successfully hooked into Permissions plugin.
    04:00 PM [INFO] [OKSpamSecurity] Attempting to load configuration file...
    04:00 PM [INFO] [OKSpamSecurity] Configuration file successfully loaded.
    04:00 PM [INFO] [OKSpamSecurity] OKSpamSecurity v1.0.3 enabled successfully.
    04:00 PM [SEVERE] Could not pass event PLUGIN_ENABLE to NarrowtuxLib
    04:00 PM [INFO] [P2] version 3.2.5p has been enabled.
    04:00 PM [SEVERE] Could not pass event PLUGIN_ENABLE to NarrowtuxLib
    04:00 PM [INFO] [Permissions] SQL Interface enabled!
    04:00 PM [SEVERE] Could not pass event PLUGIN_ENABLE to NarrowtuxLib
    04:00 PM [INFO] [PlugMan] Starting Up! - Version: 1.3.2 by bekvon
    04:00 PM [INFO] [PlugMan] Found Permissions Plugin!
    04:00 PM [SEVERE] Could not pass event PLUGIN_ENABLE to NarrowtuxLib
    04:00 PM [INFO] [WordStopper] version 1.0 is enabled.
    04:00 PM [SEVERE] Could not pass event PLUGIN_ENABLE to NarrowtuxLib
    04:00 PM [INFO] WorldEdit 4.7 enabled.
    04:00 PM [INFO] WorldEdit: Permissions plugin detected! Using Permissions plugin for permissions.
    04:00 PM [SEVERE] Could not pass event PLUGIN_ENABLE to NarrowtuxLib
    04:00 PM [INFO] WorldGuard: Permissions plugin detected! Using Permissions plugin for permissions.
    04:00 PM [INFO] WorldGuard: (Home) Single session is enforced.
    04:00 PM [INFO] WorldGuard: (Home) TNT ignition is blocked.
    04:00 PM [INFO] WorldGuard: (Home) Lighters are blocked.
    04:00 PM [INFO] WorldGuard: (Home) Lava fire is blocked.
    04:00 PM [INFO] WorldGuard: (Home) All fire spread is disabled.
    04:00 PM [INFO] WorldGuard: Loaded configuration for world 'Home"
    04:00 PM [INFO] WorldGuard: (Home_nether) Single session is enforced.
    04:00 PM [INFO] WorldGuard: (Home_nether) TNT ignition is blocked.
    04:00 PM [INFO] WorldGuard: (Home_nether) Lighters are blocked.
    04:00 PM [INFO] WorldGuard: (Home_nether) Lava fire is blocked.
    04:00 PM [INFO] WorldGuard: (Home_nether) All fire spread is disabled.
    04:00 PM [INFO] WorldGuard: Loaded configuration for world 'Home_nether"
    04:00 PM [WARNING] WorldGuard: Region file for world "Home" missing or inaccessible.
    04:00 PM [WARNING] WorldGuard: Region file for world "Home_nether" missing or inaccessible.
    04:00 PM [INFO] WorldGuard 5.3 enabled.
    04:00 PM [SEVERE] Could not pass event PLUGIN_ENABLE to NarrowtuxLib
    04:00 PM [SEVERE] Error occurred while enabling xWarp v3.1.4 (Is it up to date?): de/xzise/XLogger
    04:00 PM [SEVERE] Could not pass event PLUGIN_ENABLE to NarrowtuxLib
    04:00 PM [INFO] [fluidControl] true
    04:00 PM [INFO] fluidControl version 1.1.3 is enabled!
    04:00 PM [SEVERE] Could not pass event PLUGIN_ENABLE to NarrowtuxLib
    04:00 PM [INFO] [P2Aliases] version 1.4 Enabled.
    04:00 PM [SEVERE] Could not pass event PLUGIN_ENABLE to NarrowtuxLib
    04:00 PM [INFO] [ChestShop] Permissions version 3.1.6 loaded.
    04:00 PM [INFO] [ChestShop] version 3.12 initialized!
    04:00 PM [INFO] [ChestShop] iConomy 6 loaded.
    04:00 PM [SEVERE] Could not pass event PLUGIN_ENABLE to NarrowtuxLib
    04:00 PM [INFO] [LogBlock] Permissions plugin found.
    04:00 PM [INFO] [LogBlock] Scheduled consumer with bukkit scheduler.
    04:00 PM [INFO] LogBlock v1.32 by DiddiZ enabled.
    04:00 PM [SEVERE] Could not pass event PLUGIN_ENABLE to NarrowtuxLib
    04:00 PM [INFO] [mcMMO] Permissions version 3.1.6 found, using Permissions.
    04:00 PM [INFO] Loading Config File...
    04:00 PM [INFO] [mcMMO] Permissions version 3.1.6 found, using Permissions.
    04:00 PM [INFO] mcMMO version 1.1.16 is enabled!
    04:00 PM [SEVERE] Error occurred while enabling mcMMO v1.1.16 (Is it up to date?): special characters are not allowed
    04:00 PM [SEVERE] Could not pass event PLUGIN_ENABLE to NarrowtuxLib
    04:00 PM [WARNING] Wrong location for net.minecraft.server.EntityItem@2 in world 'Home'!
    04:00 PM [WARNING] Entity is at 751.5,-304.5 (chunk 46,-20) but was stored in chunk 47,-20
    04:00 PM [WARNING] Wrong location for net.minecraft.server.EntityItem@e in world 'Home'!
    04:00 PM [WARNING] Entity is at 751.5,-303.5 (chunk 46,-19) but was stored in chunk 47,-19
    04:00 PM [WARNING] Wrong location for net.minecraft.server.EntityItem@13 in world 'Home'!
    04:00 PM [WARNING] Entity is at 750.5,-304.5 (chunk 46,-20) but was stored in chunk 46,-19
    04:00 PM [WARNING] Wrong location for net.minecraft.server.EntityItem@2d in world 'Home'!
    04:00 PM [WARNING] Entity is at 751.5,-287.5 (chunk 46,-18) but was stored in chunk 47,-18
    04:00 PM [INFO] [Showcase] Registered type [basic] (68 items loaded)
    04:00 PM [INFO] [Showcase] Registered type [finite] (0 items loaded)
    04:00 PM [INFO] [Showcase] Registered type [infinite] (0 items loaded)
    04:00 PM [INFO] [Showcase] Registered type [exchange] (0 items loaded)
    04:00 PM [INFO] [Showcase] Registered type [tutorial] (0 items loaded)
    04:00 PM [INFO] [Showcase] version 0.7.7.11 has been enabled.
    04:00 PM [SEVERE] Could not pass event PLUGIN_ENABLE to NarrowtuxLib
    04:00 PM [INFO] [SimpleClans] Version 1.7.2 loaded
    04:00 PM [INFO] SQLite Connection successful
    04:00 PM [INFO] Clans: 1
    04:00 PM [INFO] Clan players: 1
    04:00 PM [SEVERE] Could not pass event PLUGIN_ENABLE to NarrowtuxLib
    04:00 PM [INFO] Payment method: iConomy v6
    04:00 PM [INFO] Server permissions file permissions.yml is empty, ignoring it
    04:00 PM [INFO] Done (0.607s)! For help, type "help" or "?"
    Thanks for the console spam.... i can still use showcase but i cant get this to go away :l PLEASE UPDATE OR GTFO :p
     
  6. Offline

    S4h4rk

  7. Offline

    Marvin77796

    i have spout, toomanybukkits and spoutflyght installend(and a lot more plugin) but i get an error
    Code:
    2011-10-19 11:34:38 [INFO] [NarrowtuxLib] v0.8.11 by [narrowtux] enabled.
    2011-10-19 11:34:38 [SEVERE] Could not pass event PLUGIN_ENABLE to NarrowtuxLib
    java.lang.IncompatibleClassChangeError: Expecting non-static method com.nijikokun.register.payment.Methods.hasMethod()Z
        at com.narrowtux.narrowtuxlib.event.NTLServerListener.onPluginEnable(NTLServerListener.java:51)
        at org.bukkit.plugin.java.JavaPluginLoader$47.execute(JavaPluginLoader.java:585)
        at org.bukkit.plugin.RegisteredListener.callEvent(RegisteredListener.java:58)
        at org.bukkit.plugin.SimplePluginManager.callEvent(SimplePluginManager.java:339)
        at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:964)
        at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:280)
        at org.bukkit.craftbukkit.CraftServer.loadPlugin(CraftServer.java:171)
        at org.bukkit.craftbukkit.CraftServer.enablePlugins(CraftServer.java:154)
        at net.minecraft.server.MinecraftServer.e(MinecraftServer.java:297)
        at net.minecraft.server.MinecraftServer.a(MinecraftServer.java:284)
        at net.minecraft.server.MinecraftServer.init(MinecraftServer.java:152)
        at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:348)
        at net.minecraft.server.ThreadServerApplication.run(SourceFile:417)
    2011-10-19 11:34:38 [INFO] [PorteCoulissante] plugin version 1.2.1 by Captain_Chaos enabled
    2011-10-19 11:34:38 [SEVERE] Could not pass event PLUGIN_ENABLE to NarrowtuxLib
    java.lang.IncompatibleClassChangeError: Expecting non-static method com.nijikokun.register.payment.Methods.hasMethod()Z
        at com.narrowtux.narrowtuxlib.event.NTLServerListener.onPluginEnable(NTLServerListener.java:51)
        at org.bukkit.plugin.java.JavaPluginLoader$47.execute(JavaPluginLoader.java:585)
        at org.bukkit.plugin.RegisteredListener.callEvent(RegisteredListener.java:58)
        at org.bukkit.plugin.SimplePluginManager.callEvent(SimplePluginManager.java:339)
        at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:964)
        at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:280)
        at org.bukkit.craftbukkit.CraftServer.loadPlugin(CraftServer.java:171)
        at org.bukkit.craftbukkit.CraftServer.enablePlugins(CraftServer.java:154)
        at net.minecraft.server.MinecraftServer.e(MinecraftServer.java:297)
        at net.minecraft.server.MinecraftServer.a(MinecraftServer.java:284)
        at net.minecraft.server.MinecraftServer.init(MinecraftServer.java:152)
        at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:348)
        at net.minecraft.server.ThreadServerApplication.run(SourceFile:417)
    2011-10-19 11:34:38 [INFO] [SpoutFlight] Using Bukkit SuperPerms
    2011-10-19 11:34:38 [INFO] [SpoutFlight] version 1.2 is now enabled.
    2011-10-19 11:34:38 [SEVERE] Could not pass event PLUGIN_ENABLE to NarrowtuxLib
    java.lang.IncompatibleClassChangeError: Expecting non-static method com.nijikokun.register.payment.Methods.hasMethod()Z
        at com.narrowtux.narrowtuxlib.event.NTLServerListener.onPluginEnable(NTLServerListener.java:51)
        at org.bukkit.plugin.java.JavaPluginLoader$47.execute(JavaPluginLoader.java:585)
        at org.bukkit.plugin.RegisteredListener.callEvent(RegisteredListener.java:58)
        at org.bukkit.plugin.SimplePluginManager.callEvent(SimplePluginManager.java:339)
        at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:964)
        at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:280)
        at org.bukkit.craftbukkit.CraftServer.loadPlugin(CraftServer.java:171)
        at org.bukkit.craftbukkit.CraftServer.enablePlugins(CraftServer.java:154)
        at net.minecraft.server.MinecraftServer.e(MinecraftServer.java:297)
        at net.minecraft.server.MinecraftServer.a(MinecraftServer.java:284)
        at net.minecraft.server.MinecraftServer.init(MinecraftServer.java:152)
        at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:348)
        at net.minecraft.server.ThreadServerApplication.run(SourceFile:417)
    2011-10-19 11:34:38 [INFO] [TooManyBuckets] v0.2.1 by [narrowtux] enabled.
    2011-10-19 11:34:38 [SEVERE] Error occurred while enabling TooManyBuckets v0.2.1 (Is it up to date?): com/narrowtux/Utils/FlatFileReader
    java.lang.NoClassDefFoundError: com/narrowtux/Utils/FlatFileReader
        at com.narrowtux.toomanybuckets.Configuration.<init>(Configuration.java:13)
        at com.narrowtux.toomanybuckets.TMBMain.onEnable(TMBMain.java:69)
        at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:170)
        at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:957)
        at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:280)
        at org.bukkit.craftbukkit.CraftServer.loadPlugin(CraftServer.java:171)
        at org.bukkit.craftbukkit.CraftServer.enablePlugins(CraftServer.java:154)
        at net.minecraft.server.MinecraftServer.e(MinecraftServer.java:297)
        at net.minecraft.server.MinecraftServer.a(MinecraftServer.java:284)
        at net.minecraft.server.MinecraftServer.init(MinecraftServer.java:152)
        at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:348)
        at net.minecraft.server.ThreadServerApplication.run(SourceFile:417)
    Caused by: java.lang.ClassNotFoundException: com.narrowtux.Utils.FlatFileReader
        at java.net.URLClassLoader$1.run(Unknown Source)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.net.URLClassLoader.findClass(Unknown Source)
        at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:36)
        at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:24)
        at java.lang.ClassLoader.loadClass(Unknown Source)
        at java.lang.ClassLoader.loadClass(Unknown Source)
        ... 12 more
    2011-10-19 11:34:38 [SEVERE] Could not pass event PLUGIN_ENABLE to NarrowtuxLib
    java.lang.IncompatibleClassChangeError: Expecting non-static method com.nijikokun.register.payment.Methods.hasMethod()Z
        at com.narrowtux.narrowtuxlib.event.NTLServerListener.onPluginEnable(NTLServerListener.java:51)
        at org.bukkit.plugin.java.JavaPluginLoader$47.execute(JavaPluginLoader.java:585)
        at org.bukkit.plugin.RegisteredListener.callEvent(RegisteredListener.java:58)
        at org.bukkit.plugin.SimplePluginManager.callEvent(SimplePluginManager.java:339)
        at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:964)
        at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:280)
        at org.bukkit.craftbukkit.CraftServer.loadPlugin(CraftServer.java:171)
        at org.bukkit.craftbukkit.CraftServer.enablePlugins(CraftServer.java:154)
        at net.minecraft.server.MinecraftServer.e(MinecraftServer.java:297)
        at net.minecraft.server.MinecraftServer.a(MinecraftServer.java:284)
        at net.minecraft.server.MinecraftServer.init(MinecraftServer.java:152)
        at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:348)
        at net.minecraft.server.ThreadServerApplication.run(SourceFile:417)
    2011-10-19 11:34:38 [INFO] Vanilla version 0.1 is enabled!
    2011-10-19 11:34:38 [SEVERE] Could not pass event PLUGIN_ENABLE to NarrowtuxLib
    java.lang.IncompatibleClassChangeError: Expecting non-static method com.nijikokun.register.payment.Methods.hasMethod()Z
        at com.narrowtux.narrowtuxlib.event.NTLServerListener.onPluginEnable(NTLServerListener.java:51)
        at org.bukkit.plugin.java.JavaPluginLoader$47.execute(JavaPluginLoader.java:585)
        at org.bukkit.plugin.RegisteredListener.callEvent(RegisteredListener.java:58)
        at org.bukkit.plugin.SimplePluginManager.callEvent(SimplePluginManager.java:339)
        at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:964)
        at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:280)
        at org.bukkit.craftbukkit.CraftServer.loadPlugin(CraftServer.java:171)
        at org.bukkit.craftbukkit.CraftServer.enablePlugins(CraftServer.java:154)
        at net.minecraft.server.MinecraftServer.e(MinecraftServer.java:297)
        at net.minecraft.server.MinecraftServer.a(MinecraftServer.java:284)
        at net.minecraft.server.MinecraftServer.init(MinecraftServer.java:152)
        at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:348)
        at net.minecraft.server.ThreadServerApplication.run(SourceFile:417)
    2011-10-19 11:34:38 [INFO] [WebAuction] WebAuction is initializing
    2011-10-19 11:34:38 [INFO] [WebAuction] MySQL Initializing
    2011-10-19 11:34:38 [INFO] [WebAuction] MySQL connection successful
    2011-10-19 11:34:38 [INFO] [WebAuction] Current Auction id = 5
    2011-10-19 11:34:38 [SEVERE] Could not pass event PLUGIN_ENABLE to NarrowtuxLib
    java.lang.IncompatibleClassChangeError: Expecting non-static method com.nijikokun.register.payment.Methods.hasMethod()Z
        at com.narrowtux.narrowtuxlib.event.NTLServerListener.onPluginEnable(NTLServerListener.java:51)
        at org.bukkit.plugin.java.JavaPluginLoader$47.execute(JavaPluginLoader.java:585)
        at org.bukkit.plugin.RegisteredListener.callEvent(RegisteredListener.java:58)
        at org.bukkit.plugin.SimplePluginManager.callEvent(SimplePluginManager.java:339)
        at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:964)
        at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:280)
        at org.bukkit.craftbukkit.CraftServer.loadPlugin(CraftServer.java:171)
        at org.bukkit.craftbukkit.CraftServer.enablePlugins(CraftServer.java:154)
        at net.minecraft.server.MinecraftServer.e(MinecraftServer.java:297)
        at net.minecraft.server.MinecraftServer.a(MinecraftServer.java:284)
        at net.minecraft.server.MinecraftServer.init(MinecraftServer.java:152)
        at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:348)
        at net.minecraft.server.ThreadServerApplication.run(SourceFile:417)
    2011-10-19 11:34:38 [INFO] [WebAuction] Payment method found (iConomy version: 6)
    2011-10-19 11:34:38 [INFO] WorldEdit 4.7 enabled.
    2011-10-19 11:34:38 [INFO] WorldEdit: Using the Bukkit Permissions API.
    2011-10-19 11:34:38 [INFO] [MultiVerse-Portals]  Found WorldEdit. Using it for selections.
    2011-10-19 11:34:38 [SEVERE] Could not pass event PLUGIN_ENABLE to NarrowtuxLib
    java.lang.IncompatibleClassChangeError: Expecting non-static method com.nijikokun.register.payment.Methods.hasMethod()Z
        at com.narrowtux.narrowtuxlib.event.NTLServerListener.onPluginEnable(NTLServerListener.java:51)
        at org.bukkit.plugin.java.JavaPluginLoader$47.execute(JavaPluginLoader.java:585)
        at org.bukkit.plugin.RegisteredListener.callEvent(RegisteredListener.java:58)
        at org.bukkit.plugin.SimplePluginManager.callEvent(SimplePluginManager.java:339)
        at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:964)
        at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:280)
        at org.bukkit.craftbukkit.CraftServer.loadPlugin(CraftServer.java:171)
        at org.bukkit.craftbukkit.CraftServer.enablePlugins(CraftServer.java:154)
        at net.minecraft.server.MinecraftServer.e(MinecraftServer.java:297)
        at net.minecraft.server.MinecraftServer.a(MinecraftServer.java:284)
        at net.minecraft.server.MinecraftServer.init(MinecraftServer.java:152)
        at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:348)
        at net.minecraft.server.ThreadServerApplication.run(SourceFile:417)
    2011-10-19 11:34:38 [INFO] [MonsterBox] Spout detected. Spout support enabled.
    2011-10-19 11:34:38 [INFO] MonsterBox version 0.4 is enabled!
    2011-10-19 11:34:38 [SEVERE] Could not pass event PLUGIN_ENABLE to NarrowtuxLib
    java.lang.IncompatibleClassChangeError: Expecting non-static method com.nijikokun.register.payment.Methods.hasMethod()Z
        at com.narrowtux.narrowtuxlib.event.NTLServerListener.onPluginEnable(NTLServerListener.java:51)
        at org.bukkit.plugin.java.JavaPluginLoader$47.execute(JavaPluginLoader.java:585)
        at org.bukkit.plugin.RegisteredListener.callEvent(RegisteredListener.java:58)
        at org.bukkit.plugin.SimplePluginManager.callEvent(SimplePluginManager.java:339)
        at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:964)
        at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:280)
        at org.bukkit.craftbukkit.CraftServer.loadPlugin(CraftServer.java:171)
        at org.bukkit.craftbukkit.CraftServer.enablePlugins(CraftServer.java:154)
        at net.minecraft.server.MinecraftServer.e(MinecraftServer.java:297)
        at net.minecraft.server.MinecraftServer.a(MinecraftServer.java:284)
        at net.minecraft.server.MinecraftServer.init(MinecraftServer.java:152)
        at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:348)
        at net.minecraft.server.ThreadServerApplication.run(SourceFile:417)
    2011-10-19 11:34:38 [INFO] [Catacombs] Looking for Permissions plugin
    2011-10-19 11:34:38 [INFO] [Catacombs] Found and will use plugin Permissions v2.7.2
    2011-10-19 11:34:38 [INFO] [Catacombs] WARNING: MYSQL is disabled (not everything will work as intended)
    2011-10-19 11:34:38 [INFO] [catacombs] plugin has been enabled!
    2011-10-19 11:34:38 [SEVERE] Could not pass event PLUGIN_ENABLE to NarrowtuxLib
    java.lang.IncompatibleClassChangeError: Expecting non-static method com.nijikokun.register.payment.Methods.hasMethod()Z
        at com.narrowtux.narrowtuxlib.event.NTLServerListener.onPluginEnable(NTLServerListener.java:51)
        at org.bukkit.plugin.java.JavaPluginLoader$47.execute(JavaPluginLoader.java:585)
        at org.bukkit.plugin.RegisteredListener.callEvent(RegisteredListener.java:58)
        at org.bukkit.plugin.SimplePluginManager.callEvent(SimplePluginManager.java:339)
        at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:964)
        at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:280)
        at org.bukkit.craftbukkit.CraftServer.loadPlugin(CraftServer.java:171)
        at org.bukkit.craftbukkit.CraftServer.enablePlugins(CraftServer.java:154)
        at net.minecraft.server.MinecraftServer.e(MinecraftServer.java:297)
        at net.minecraft.server.MinecraftServer.a(MinecraftServer.java:284)
        at net.minecraft.server.MinecraftServer.init(MinecraftServer.java:152)
        at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:348)
        at net.minecraft.server.ThreadServerApplication.run(SourceFile:417)
    2011-10-19 11:34:38 [INFO] [MonsterHunt] MonsterHunt Loaded!
    2011-10-19 11:34:38 [SEVERE] Could not pass event PLUGIN_ENABLE to NarrowtuxLib
    java.lang.IncompatibleClassChangeError: Expecting non-static method com.nijikokun.register.payment.Methods.hasMethod()Z
        at com.narrowtux.narrowtuxlib.event.NTLServerListener.onPluginEnable(NTLServerListener.java:51)
        at org.bukkit.plugin.java.JavaPluginLoader$47.execute(JavaPluginLoader.java:585)
        at org.bukkit.plugin.RegisteredListener.callEvent(RegisteredListener.java:58)
        at org.bukkit.plugin.SimplePluginManager.callEvent(SimplePluginManager.java:339)
        at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:964)
        at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:280)
        at org.bukkit.craftbukkit.CraftServer.loadPlugin(CraftServer.java:171)
        at org.bukkit.craftbukkit.CraftServer.enablePlugins(CraftServer.java:154)
        at net.minecraft.server.MinecraftServer.e(MinecraftServer.java:297)
        at net.minecraft.server.MinecraftServer.a(MinecraftServer.java:284)
        at net.minecraft.server.MinecraftServer.init(MinecraftServer.java:152)
        at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:348)
        at net.minecraft.server.ThreadServerApplication.run(SourceFile:417)
    
    edit: Sorry for my bad english, i´m from Germany :p
     
  8. Offline

    dralletje

    I love you!!!
    I know you haven't made it, but it works perfect!!

    use the link in the previous post I qouted, replace narrowtuxlib in your plugin folder with this.
    then set autoupdate, in the narrowtux config to false. and you need to download register, this will fix the error :)
     
    S4h4rk likes this.
  9. Offline

    Clucky

    @narrowtux

    Please update narrowtuxlib and add iConomy6 support. Heres my error:
    Code:
    14:32:03 [SEVERE] Could not pass event PLUGIN_ENABLE to NarrowtuxLib
    java.lang.NoClassDefFoundError: com/nijiko/coelho/iConomy/iConomy
        at com.nijikokun.register.payment.methods.iCo4.isCompatible(iCo4.java:54)
        at com.nijikokun.register.payment.Methods.createMethod(Methods.java:55)
        at com.nijikokun.register.payment.Methods.setMethod(Methods.java:87)
        at com.narrowtux.narrowtuxlib.event.NTLServerListener.onPluginEnable(NTLServerListener.java:52)
        at org.bukkit.plugin.java.JavaPluginLoader$47.execute(JavaPluginLoader.java:585)
        at org.bukkit.plugin.RegisteredListener.callEvent(RegisteredListener.java:58)
        at org.bukkit.plugin.SimplePluginManager.callEvent(SimplePluginManager.java:339)
        at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:964)
        at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:280)
        at org.bukkit.craftbukkit.CraftServer.loadPlugin(CraftServer.java:171)
        at org.bukkit.craftbukkit.CraftServer.enablePlugins(CraftServer.java:154)
        at net.minecraft.server.MinecraftServer.e(MinecraftServer.java:297)
        at net.minecraft.server.MinecraftServer.a(MinecraftServer.java:284)
        at net.minecraft.server.MinecraftServer.init(MinecraftServer.java:152)
        at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:348)
        at net.minecraft.server.ThreadServerApplication.run(SourceFile:417)
    14:32:04 [INFO] [OtherDrops:2.0-beta1] Couldn't load WorldGuard.
    14:32:04 [INFO] [OtherDrops:2.0-beta1] OtherDrops loaded.
    14:32:04 [SEVERE] Could not pass event PLUGIN_ENABLE to NarrowtuxLib
    java.lang.NoClassDefFoundError: com/nijiko/coelho/iConomy/iConomy
        at com.nijikokun.register.payment.methods.iCo4.isCompatible(iCo4.java:54)
        at com.nijikokun.register.payment.Methods.createMethod(Methods.java:55)
        at com.nijikokun.register.payment.Methods.setMethod(Methods.java:87)
        at com.narrowtux.narrowtuxlib.event.NTLServerListener.onPluginEnable(NTLServerListener.java:52)
        at org.bukkit.plugin.java.JavaPluginLoader$47.execute(JavaPluginLoader.java:585)
        at org.bukkit.plugin.RegisteredListener.callEvent(RegisteredListener.java:58)
        at org.bukkit.plugin.SimplePluginManager.callEvent(SimplePluginManager.java:339)
        at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:964)
        at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:280)
        at org.bukkit.craftbukkit.CraftServer.loadPlugin(CraftServer.java:171)
        at org.bukkit.craftbukkit.CraftServer.enablePlugins(CraftServer.java:154)
        at net.minecraft.server.MinecraftServer.e(MinecraftServer.java:297)
        at net.minecraft.server.MinecraftServer.a(MinecraftServer.java:284)
        at net.minecraft.server.MinecraftServer.init(MinecraftServer.java:152)
        at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:348)
        at net.minecraft.server.ThreadServerApplication.run(SourceFile:417)
     
  10. Offline

    dralletje

    YOU DIDN'T EVEN TAKE THE TIME TO LOOK AT THE POST BEFORE YOURS?
    https://github.com/Silthus/NarrowtuxLib-1/downloads

    download this one, set in the config of narrowtuxlib autoupdate to false and restart your server.
    simple as that!
     
  11. Offline

    narrowtux

    @dralletje thanks for fixing it meantime, I have fixed it too and it will come to the default update stream now :p
    Some people just don't read, that is normal ;)

    Update: 1.0.0
    Changes in this update:
    - Uses Register.jar as plugin instead of own class files. If not available, it downloads it from ci.getspout.org/job/Register (you can turn that off if you don't need economy)
    - Thus added iConomy 6
    - Thus compatible with other plugins using Register.

    EDIT by Moderator: merged posts, please use the edit button instead of double posting.
     
    Last edited by a moderator: May 17, 2016
  12. Offline

    alanine



    This broke everything on my server unfortunately. Previous to this it was working fine. Even worse I was in the middle of updates and was unsure of the culprit.

    However through searching, I found your plugin had a toggle to install register. However this toggle is useless, as regardless either way it still automatically downloaded register unfortunately.

    Turning off automatic updates + using an old version solved this efficiently.

    Any news when toomanybuckets may be usable with the current build? I just get the gray interface with the label at the top. Even when using your own files.

    Thanks alot for your work buddy
     
  13. Offline

    Spidi

    Contrary to the above post this fixed all my issues with showcase. Thanks for the update :) GL with Showcase2
     
  14. Offline

    Crisssss

    Same as alanine here.
    Register dont work.
    last version break my server ..
     
  15. Offline

    narrowtux

    Do you have consolelogs about that? That'd help a lot ;)
     
  16. Offline

    Mike Geitz

    Where could I find an older version of narrowtuxlib that doesn't install register regardless of what I ask it to do? (i.e. 'installregister=false' != do not install register, for some reason).
     
  17. Offline

    narrowtux

    Update 1.0.1
    Fixed config for installing register.jar
    Register.jar is mandatory for all my plugins using economy functions (Showcase and TooManyBuckets)
     
  18. Offline

    Mike Geitz

    Getting errors thrown left and right from using this ->

    Code:
    161 recipes
    17 achievements
    11:50:33 [INFO] Starting minecraft server version Beta 1.8.1
    11:50:33 [INFO] Loading properties
    11:50:33 [INFO] Starting Minecraft server on 192.168.1.3:25565
    11:50:33 [INFO] This server is running Craftbukkit version git-Bukkit-0.0.0-1131-g86b7fa8-b1337jnks (MC: 1.8.1)
    11:50:34 [INFO] Starting Minequery server on 192.168.1.3:25566
    11:50:34 [INFO] [WorldModes 2.0] initialized
    11:50:34 [INFO] [BaseBukkitPlugin 1.7] initialized
    11:50:35 [INFO] MLog clients using java 1.4+ standard logging.
    11:50:35 [SEVERE] com.nijikokun.register.payment.Methods.setPreferred(Ljava/lang/String;)Z initializing Register v1.5 (Is it up to date?)
    java.lang.NoSuchMethodError: com.nijikokun.register.payment.Methods.setPreferred(Ljava/lang/String;)Z
        at com.nijikokun.register.Register.hasPreferred(Register.java:41)
        at com.nijikokun.register.Register.onLoad(Register.java:55)
        at org.bukkit.craftbukkit.CraftServer.loadPlugins(CraftServer.java:139)
        at org.bukkit.craftbukkit.CraftServer.<init>(CraftServer.java:112)
        at net.minecraft.server.ServerConfigurationManager.<init>(ServerConfigurationManager.java:52)
        at net.minecraft.server.MinecraftServer.init(MinecraftServer.java:136)
        at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:348)
        at net.minecraft.server.ThreadServerApplication.run(SourceFile:417)
    11:50:35 [INFO] Spout 1.0.6.449 has been initialized
    11:50:35 [INFO] Preparing level "Sekai"
    11:50:35 [INFO] Default game type: 0
    11:50:35 [INFO] Preparing start region for level 0 (Seed: 64474286)
    11:50:36 [INFO] Preparing start region for level 1 (Seed: -1623774494)
    11:50:36 [INFO] Preparing spawn area: 48%
    11:50:43 [INFO] [ForumAcc] Database connected. Custom Field OK.
    11:50:43 [INFO] [BananaTweet] version 0.3 is enabled!
    11:50:43 [INFO] [TameGrass]  TameGrass v1.0 enabled!
    11:50:43 [INFO] Found and will use plugin Permissions v2.7.2
    11:50:43 [INFO] InvFall version 1.1 is enabled!
    11:50:43 [INFO] [iConomy] Logging is currently disabled.
    11:50:43 [INFO]  - Updating H2SQL Database for latest iConomy
    11:50:43 [INFO] [iConomy] Error updating database: org.h2.jdbc.JdbcSQLException: Duplicate column name "HIDDEN"; SQL statement:
    ALTER TABLE iConomy ADD HIDDEN BOOLEAN DEFAULT '0'; [42121-153]
    11:50:43 [INFO] [iConomy] v5.0 (Eruanna) loaded.
    11:50:43 [INFO] [iConomy] Developed by: [Nijikokun]
    11:50:43 [INFO] EnderMod enabled. Nerfed to: 86 18 3 17 13
    11:50:44 [INFO] Loaded Essentials build 2.6.3 by: Zenexer, ementalo, Aelux, Brettflan, KimKandor, snowleo, ceulemans, Xeology, KHobbits
    11:50:44 [INFO] Essentials: Using config based permissions. Enable superperms in config.
    11:50:44 [INFO] [Essentials] Payment method found (iConomy version: 5)
    11:50:44 [INFO] [MobDisguise] by desmin88 version 1.63 enabled.
    11:50:44 [INFO] [FireLord] 0.6.2 using Permissions system
    11:50:44 [INFO] [FireLord] version 0.6.2 enabled!
    11:50:44 [INFO] Loaded EssentialsSpawn build 2.6.3 by: essentials team
    11:50:44 [INFO] [NoCheat] This version is for CB #1240. It may break at any time and for any other version.
    11:50:44 [INFO] [NoCheat] version [2.1] is enabled.
    11:50:45 [SEVERE] Exception while reading plugins/VoxelSniper/items.txt (Are you sure you formatted it correctly?)
    java.lang.ArrayIndexOutOfBoundsException: 1
        at com.thevoxelbox.VoxelSniper.loadItems(VoxelSniper.java:258)
        at com.thevoxelbox.VoxelSniper.onEnable(VoxelSniper.java:38)
        at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:174)
        at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:957)
        at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:280)
        at org.bukkit.craftbukkit.CraftServer.loadPlugin(CraftServer.java:171)
        at org.bukkit.craftbukkit.CraftServer.enablePlugins(CraftServer.java:154)
        at net.minecraft.server.MinecraftServer.e(MinecraftServer.java:297)
        at net.minecraft.server.MinecraftServer.a(MinecraftServer.java:284)
        at net.minecraft.server.MinecraftServer.init(MinecraftServer.java:152)
        at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:348)
        at net.minecraft.server.ThreadServerApplication.run(SourceFile:417)
    11:50:45 [INFO] [VoxelSniper] Config loaded
    11:50:45 [INFO] VoxelSniper version 5.019 is enabled! Snipe away.
    11:50:45 [INFO] [ServerSave] Save interval is: 600 seconds.
    11:50:45 [INFO] [ServerSave] ServerSave enabled!
    11:50:45 [INFO] Initializing c3p0-0.9.1.2 [built 21-May-2007 15:04:56; debug? true; trace: 10]
    11:50:46 [INFO] Loaded EssentialsProtect build 2.6.3 by: essentials team
    11:50:46 [INFO] HeadStone version 1.5 loaded.
    11:50:46 [INFO] [iWolvesAdoption] Permission system found, plugin enabled
    11:50:46 [INFO] [iWolvesAdoption] iWolvesAdoption v0.5 is enabled. Plugin by Ancetras.
    11:50:46 [INFO] [iWolvesAdoption] hooked into iConomy.
    11:50:46 [INFO] [HeroicDeath] 1.11.2 enabled.
    11:50:46 [INFO] BorderGuard version 4.2 is enabled!
    11:50:46 [INFO] Lockette version 1.4.4 is being enabled!  Yay!  (Core version 1.2.3)
    11:50:46 [INFO] Lockette: Detected craftbukkit build [1337] ok.
    11:50:46 [INFO] Essentials: Using Permissions 2 based permissions.
    11:50:46 [INFO] [iConomy] hooked into Permissions.
    11:50:46 [INFO] Lockette: Linked to Permissions plugin version 2.7.2
    11:50:46 [INFO] Lockette: Using ops file for admin permissions.
    11:50:46 [INFO] Lockette: Ready to protect your containers.
    11:50:46 [INFO] PaintingSwitch enabled
    11:50:46 [INFO] [MoneyDrop] Startup complete.
    11:50:46 [INFO] BukkitSpeak Version: 0.22 enabled.
    11:50:46 [INFO] [CFBanner] Plugin has been enabled!
    11:50:46 [INFO] [CFBanner] Permissions found. Using Permissions v2.7.2
    11:50:46 [INFO] [CFBanner] 1.9.2 loaded!
    11:50:46 [INFO] [GodPowers] Successfully registered command zeus.
    11:50:46 [INFO] [GodPowers] Successfully registered command godmode.
    11:50:46 [INFO] [GodPowers] Successfully registered command jesus.
    11:50:46 [INFO] [GodPowers] Successfully registered command die.
    11:50:46 [INFO] [GodPowers] Successfully registered command slay.
    11:50:46 [INFO] [GodPowers] Successfully registered command maim.
    11:50:46 [INFO] [GodPowers] Successfully registered command inferno.
    11:50:46 [INFO] [GodPowers] Successfully registered command superjump.
    11:50:46 [INFO] [GodPowers] Successfully registered command gaia.
    11:50:46 [INFO] [GodPowers] Successfully registered command heal.
    11:50:46 [INFO] [GodPowers] Successfully registered command godpowers.
    11:50:46 [INFO] [GodPowers] Successfully registered command vulcan.
    11:50:46 [INFO] [GodPowers] Successfully registered command vulcan.
    11:50:46 [INFO] [GodPowers] Successfully registered command demigod.
    11:50:46 [INFO] [GodPowers] Successfully registered command hades.
    11:50:46 [INFO] godPowers version 2.5 is enabled!
    11:50:46 [INFO] [GodPowers] Permissions detected. Now using permissions.
    11:50:46 [INFO] [BetterShop] Loading BetterShop version 2.0.5 ...
    11:50:47 [INFO] [BetterShop] Checking for updates...
    11:50:49 [INFO] [BetterShop] Program is up-to-date (1)
    11:50:49 [INFO] [BetterShop] Program is up-to-date (2)
    11:50:49 [INFO] [BetterShop] to enable existing regions, put a copy of WorldEdit in the lib folder, or install WorldEdit to the server
    11:50:49 [INFO] [BetterShop] BetterShop.csv loaded.
    11:50:49 [INFO] [BetterShop] BetterShopItemStock.csv loaded.
    11:50:49 [INFO] [BetterShop] Attached to Permissions.
    11:50:49 [INFO] [BetterShop] Spout Found! :)
    11:50:49 [INFO] [BetterShop] BetterShop version 2.0.5 is enabled!
    11:50:49 [INFO] [BetterShop] Using iConomy v5 for economy
    11:50:49 [INFO] RawcriticsOreObfuscationPluginSpout 1.6.5.1 plugin enabled
    11:50:49 [INFO] RawcriticsOreObfuscationPluginSpout connected to the Ore Obfuscate Engine and turned it on! Using Engine: 2
    11:50:49 [INFO] RawcriticsOreObfuscationPluginSpout: Spout Packet Manager found, assuming Spout version is 1.0.5
    11:50:49 [INFO] [Playtime] Permissions 2.7.2 found.
    11:50:49 [INFO] [Playtime] Playtime version 0.4 loaded.
    11:50:49 [INFO] [HeroChat] HeroChat version 4.10.3 enabled.
    11:50:49 [INFO] [HeroChat] Permissions 2.7.2 found.
    11:50:49 [INFO] [bPermissions 1.7.5] Using yaml for Permissions
    11:50:49 [INFO] [bPermissions] Setting up config for world:Sekai
    11:50:49 [INFO] [bPermissions] Setup world:Sekai
    11:50:49 [INFO] [bPermissions] Setup world:Sekai_nether
    11:50:49 [INFO] [bPermissions] WorldPermissionsManager engaged
    11:50:49 [INFO] [bPermissions 1.7.5] Chat formatting is disabled in config - change to "format-chat: true" to enable chat formatting.
    11:50:49 [INFO] [bPermissions 1.7.5] Spout detected, registering PlayerPermissionEvent
    11:50:50 [INFO] [bPermissions 1.7.5] Enabled
    11:50:50 [INFO] Essentials: Using bPermissions based permissions.
    11:50:50 [INFO] [BananaChunk] version 4.6 is enabled!
    11:50:50 [INFO] Permissions detected by CraftIRC.
    11:50:50 [INFO] CraftIRC v2.13 loading.
    11:50:50 [INFO] CraftIRC - Connecting to irc.cubuscraft.com:6667
    11:50:51 [INFO] CraftIRC - Connected
    11:50:51 [INFO] CraftIRC Enabled.
    11:50:51 [INFO] CraftIRC DEBUG [OFF]
    11:50:51 [INFO] [HeroChat] CraftIRC 2.13 found.
    11:50:51 [INFO] MobRepellent (v0.5) is enabled!
    11:50:51 [INFO] MobRider 0.39 enabled.
    11:50:51 [INFO] MobRider: Integrated with Permissions
    11:50:51 [INFO] CraftIRC - Joined channel: #Cubus
    11:50:52 [INFO] [MultiInv] version 2.4.1 is enabled!
    11:50:52 [INFO] [Multiverse-Core] - Version 2.0-b279 Enabled - By Rigby and fernferret
    11:50:52 [INFO] [Multiverse-Core] - Attached to Permissions
    11:50:52 [INFO] [AllPay] - Version 3.0 - hooked into iConomy 5 for Multiverse-Core v2.0-b279
    11:50:52 [INFO] [Multiverse-Core] - Multiverse Config -- Loaded
    11:50:52 [INFO] [Multiverse-Core] - World Config -- Loaded
    11:50:52 [INFO] Preparing start region for level 2 (Seed: -1540385143)
    11:50:52 [INFO] [Multiverse-Core] Loading World & Settings - 'THG' - NORMAL with seed: -1540385143
    11:50:54 [INFO] Preparing start region for level 3 (Seed: 66725930)
    11:50:54 [INFO] [Multiverse-Core] Loading World & Settings - 'Earth' - NORMAL
    11:50:54 [INFO] Preparing start region for level 4 (Seed: 115002)
    11:50:55 [INFO] [Multiverse-Core] Loading World & Settings - 'Ghibli' - NORMAL
    11:50:56 [INFO] [Multiverse-Core] Loading World & Settings - 'Sekai_nether' - NETHER
    11:50:56 [INFO] Preparing start region for level 5 (Seed: 2410989659)
    11:50:56 [INFO] [Multiverse-Core] Loading World & Settings - 'Skylands' - NORMAL
    11:50:56 [INFO] Preparing start region for level 6 (Seed: 2314892717870126778)
    11:50:57 [INFO] [Multiverse-Core] Loading World & Settings - 'Cubus' - NORMAL with seed: -218724036
    11:50:57 [INFO] [Multiverse-Core] Loading World & Settings - 'Sekai' - NORMAL with seed: 64474286
    11:50:57 [INFO] [Multiverse-Core] 7 - World(s) loaded.
    11:50:57 [INFO] DailyBonus is running!
    11:50:57 [INFO] [DailyBonus] iConomy version 5 loaded.
    11:50:57 [INFO] [DailyBonus] Permissions version 2.7.2 loaded.
    11:50:57 [INFO] SpongeRestore version 1.2 is enabled!
    11:50:57 [INFO] [FishPeople] version 1.6 is enabled!
    11:50:57 [INFO] [FishPeople] using permissions
    11:50:57 [INFO] [Flight] Enabled!
    11:50:57 [INFO] SuperPowers v0.8 loaded!
    11:50:58 [INFO] [LazyRoad] : Version 0.6.2 is enabled!
    11:50:58 [INFO] [WorldModes 2.0] Server version compatibility check succeeded
    11:50:58 [INFO] [WorldModes 2.0] Using Permissions' permissions
    11:50:58 [INFO] [MultiVerse-NetherPortals] - Version 2.0-b225 Enabled - By Rigby and fernferret
    11:50:58 [INFO] [MultiVerse-Portals] - Version 2.0-b254 Enabled - By Rigby and fernferret
    11:51:02 [INFO] [MultiVerse-Portals]  83 - Portals(s) loaded
    11:51:02 [WARNING] [Multiverse-Core] Portal RSpawnJung has an invalid DESTINATION!
    11:51:02 [WARNING] [Multiverse-Core] Portal NexusNether has an invalid DESTINATION!
    11:51:02 [WARNING] [Multiverse-Core] Portal RSpawnBaz has an invalid DESTINATION!
    11:51:03 [WARNING] [Multiverse-Core] Portal SekaiSpawn2 has an invalid DESTINATION!
    11:51:03 [INFO] [Factions v1.5.1] === ENABLE START ===
    11:51:03 [INFO] [Factions v1.5.1] Loading conf from disk
    11:51:03 [INFO] [Factions v1.5.1] Loading players from disk
    11:51:03 [INFO] [Factions v1.5.1] Loading factions from disk
    11:51:03 [INFO] [Factions v1.5.1] Loading board from disk
    11:51:03 [INFO] [Factions v1.5.1] Found and will use Permissions v2.7.2 for permissions
    11:51:03 [INFO] [Factions v1.5.1] Found and will use features of Spout v1.0.6.449
    11:51:03 [INFO] [Factions v1.5.1] iConomy hook available, and interface is enabled.
    11:51:03 [INFO] [Factions v1.5.1] EssentialsEco hook available, but disabled ("econEssentialsEcoEnabled": false).
    11:51:03 [INFO] [Factions v1.5.1] === ENABLE DONE (Took 254ms) ===
    11:51:03 [SEVERE] Could not pass event PLUGIN_ENABLE to Register
    java.lang.IncompatibleClassChangeError: Expected static method com.nijikokun.register.payment.Methods.hasMethod()Z
        at com.nijikokun.register.listeners.server.onPluginEnable(server.java:37)
        at org.bukkit.plugin.java.JavaPluginLoader$47.execute(JavaPluginLoader.java:585)
        at org.bukkit.plugin.RegisteredListener.callEvent(RegisteredListener.java:58)
        at org.bukkit.plugin.SimplePluginManager.callEvent(SimplePluginManager.java:339)
        at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:964)
        at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:280)
        at org.bukkit.craftbukkit.CraftServer.loadPlugin(CraftServer.java:171)
        at org.bukkit.craftbukkit.CraftServer.enablePlugins(CraftServer.java:154)
        at net.minecraft.server.MinecraftServer.e(MinecraftServer.java:297)
        at net.minecraft.server.MinecraftServer.a(MinecraftServer.java:284)
        at net.minecraft.server.MinecraftServer.init(MinecraftServer.java:152)
        at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:348)
        at net.minecraft.server.ThreadServerApplication.run(SourceFile:417)
    11:51:03 [INFO] [Factions v1.5.1] Register hook available, and interface is enabled.
    11:51:03 [INFO] Version: 100
    11:51:03 [INFO] [NarrowtuxLib] v1.0.0 by [narrowtux] enabled.
    11:51:03 [SEVERE] Could not pass event PLUGIN_ENABLE to Register
    java.lang.IncompatibleClassChangeError: Expected static method com.nijikokun.register.payment.Methods.hasMethod()Z
        at com.nijikokun.register.listeners.server.onPluginEnable(server.java:37)
        at org.bukkit.plugin.java.JavaPluginLoader$47.execute(JavaPluginLoader.java:585)
        at org.bukkit.plugin.RegisteredListener.callEvent(RegisteredListener.java:58)
        at org.bukkit.plugin.SimplePluginManager.callEvent(SimplePluginManager.java:339)
        at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:964)
        at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:280)
        at org.bukkit.craftbukkit.CraftServer.loadPlugin(CraftServer.java:171)
        at org.bukkit.craftbukkit.CraftServer.enablePlugins(CraftServer.java:154)
        at net.minecraft.server.MinecraftServer.e(MinecraftServer.java:297)
        at net.minecraft.server.MinecraftServer.a(MinecraftServer.java:284)
        at net.minecraft.server.MinecraftServer.init(MinecraftServer.java:152)
        at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:348)
        at net.minecraft.server.ThreadServerApplication.run(SourceFile:417)
    11:51:03 [INFO] Preparing start region for level 7 (Seed: 4362651862711314563)
    11:51:04 [INFO] [Showcase] Registered type [basic] (11 items loaded)
    11:51:04 [INFO] [Showcase] Registered type [finite] (174 items loaded)
    11:51:04 [INFO] [Showcase] Registered type [infinite] (336 items loaded)
    11:51:04 [INFO] [Showcase] Registered type [exchange] (0 items loaded)
    11:51:04 [INFO] [Showcase] Registered type [tutorial] (0 items loaded)
    11:51:04 [INFO] [Showcase] version 0.7.7.11 has been enabled.
    11:51:04 [SEVERE] Could not pass event PLUGIN_ENABLE to Register
    java.lang.IncompatibleClassChangeError: Expected static method com.nijikokun.register.payment.Methods.hasMethod()Z
        at com.nijikokun.register.listeners.server.onPluginEnable(server.java:37)
        at org.bukkit.plugin.java.JavaPluginLoader$47.execute(JavaPluginLoader.java:585)
        at org.bukkit.plugin.RegisteredListener.callEvent(RegisteredListener.java:58)
        at org.bukkit.plugin.SimplePluginManager.callEvent(SimplePluginManager.java:339)
        at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:964)
        at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:280)
        at org.bukkit.craftbukkit.CraftServer.loadPlugin(CraftServer.java:171)
        at org.bukkit.craftbukkit.CraftServer.enablePlugins(CraftServer.java:154)
        at net.minecraft.server.MinecraftServer.e(MinecraftServer.java:297)
        at net.minecraft.server.MinecraftServer.a(MinecraftServer.java:284)
        at net.minecraft.server.MinecraftServer.init(MinecraftServer.java:152)
        at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:348)
        at net.minecraft.server.ThreadServerApplication.run(SourceFile:417)
    11:51:04 [INFO] [BaseBukkitPlugin 1.7] Server version compatibility check succeeded
    11:51:04 [SEVERE] Could not pass event PLUGIN_ENABLE to Register
    java.lang.IncompatibleClassChangeError: Expected static method com.nijikokun.register.payment.Methods.hasMethod()Z
        at com.nijikokun.register.listeners.server.onPluginEnable(server.java:37)
        at org.bukkit.plugin.java.JavaPluginLoader$47.execute(JavaPluginLoader.java:585)
        at org.bukkit.plugin.RegisteredListener.callEvent(RegisteredListener.java:58)
        at org.bukkit.plugin.SimplePluginManager.callEvent(SimplePluginManager.java:339)
        at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:964)
        at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:280)
        at org.bukkit.craftbukkit.CraftServer.loadPlugin(CraftServer.java:171)
        at org.bukkit.craftbukkit.CraftServer.enablePlugins(CraftServer.java:154)
        at net.minecraft.server.MinecraftServer.e(MinecraftServer.java:297)
        at net.minecraft.server.MinecraftServer.a(MinecraftServer.java:284)
        at net.minecraft.server.MinecraftServer.init(MinecraftServer.java:152)
        at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:348)
        at net.minecraft.server.ThreadServerApplication.run(SourceFile:417)
    11:51:04 [INFO] [VANISH] Version 1.6.9.8 enabled.
    11:51:04 [SEVERE] Could not pass event PLUGIN_ENABLE to Register
    java.lang.IncompatibleClassChangeError: Expected static method com.nijikokun.register.payment.Methods.hasMethod()Z
        at com.nijikokun.register.listeners.server.onPluginEnable(server.java:37)
        at org.bukkit.plugin.java.JavaPluginLoader$47.execute(JavaPluginLoader.java:585)
        at org.bukkit.plugin.RegisteredListener.callEvent(RegisteredListener.java:58)
        at org.bukkit.plugin.SimplePluginManager.callEvent(SimplePluginManager.java:339)
        at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:964)
        at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:280)
        at org.bukkit.craftbukkit.CraftServer.loadPlugin(CraftServer.java:171)
        at org.bukkit.craftbukkit.CraftServer.enablePlugins(CraftServer.java:154)
        at net.minecraft.server.MinecraftServer.e(MinecraftServer.java:297)
        at net.minecraft.server.MinecraftServer.a(MinecraftServer.java:284)
        at net.minecraft.server.MinecraftServer.init(MinecraftServer.java:152)
        at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:348)
        at net.minecraft.server.ThreadServerApplication.run(SourceFile:417)
    11:51:04 [INFO] [dynmap] Using Permissions 2.7.2 for access control
    11:51:05 [INFO] [dynmap] Loaded 13 shaders.
    11:51:05 [INFO] [dynmap] Loaded 56 perspectives.
    11:51:05 [INFO] [dynmap] Loaded 6 lightings.
    11:51:05 [INFO] [dynmap] Loaded 3 maps of world 'Sekai'.
    11:51:05 [INFO] [dynmap] Loaded 3 maps of world 'Sekai_nether'.
    11:51:05 [INFO] [dynmap] World 'THG' disabled
    11:51:05 [INFO] [dynmap] Loaded 2 maps of world 'Earth'.
    11:51:05 [INFO] [dynmap] Loaded 2 maps of world 'Ghibli'.
    11:51:05 [INFO] [dynmap] Loaded 3 maps of world 'Skylands'.
    11:51:05 [INFO] [dynmap] Loaded 3 maps of world 'Cubus'.
    11:51:05 [INFO] [dynmap] World 'Cubus_nether' disabled
    11:51:06 [INFO] [dynmap] Dynmap WebServer started on null:8123
    11:51:06 [INFO] [dynmap] version 0.23 is enabled
    11:51:06 [SEVERE] Could not pass event PLUGIN_ENABLE to Register
    java.lang.IncompatibleClassChangeError: Expected static method com.nijikokun.register.payment.Methods.hasMethod()Z
        at com.nijikokun.register.listeners.server.onPluginEnable(server.java:37)
        at org.bukkit.plugin.java.JavaPluginLoader$47.execute(JavaPluginLoader.java:585)
        at org.bukkit.plugin.RegisteredListener.callEvent(RegisteredListener.java:58)
        at org.bukkit.plugin.SimplePluginManager.callEvent(SimplePluginManager.java:339)
        at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:964)
        at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:280)
        at org.bukkit.craftbukkit.CraftServer.loadPlugin(CraftServer.java:171)
        at org.bukkit.craftbukkit.CraftServer.enablePlugins(CraftServer.java:154)
        at net.minecraft.server.MinecraftServer.e(MinecraftServer.java:297)
        at net.minecraft.server.MinecraftServer.a(MinecraftServer.java:284)
        at net.minecraft.server.MinecraftServer.init(MinecraftServer.java:152)
        at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:348)
        at net.minecraft.server.ThreadServerApplication.run(SourceFile:417)
    11:51:06 [INFO] Server permissions file permissions.yml is empty, ignoring it
    11:51:06 [INFO] Done (3.142s)! For help, type "help" or "?"
    11:51:07 [INFO] [MobRepellent] Finished loading plugin.
    11:51:11 [INFO] [MoneyDrop] Connected to Register. Item pickups functional.
    
    Is there really no way to use your showcase plugin without this? Worked fine without it yesterday :p
     
  19. Offline

    codename_B

    Looks like you need register.
     
  20. Offline

    Crisssss

    so now i can put back autoupdate narrowtuxlib it will not download the bug named register ? XD
     
  21. Offline

    Mike Geitz


    I have it... it's what's causing these errors. Without it I'm fine.
     
  22. Offline

    narrowtux

    Then there is another plugin which has register in his own jar while not renaming the package names. I had that in NarrowtuxLib too until 1.0, so I'm not pointing fingers, it wasn't make clear by nijikokun that one had to rename the package name to prevent such issues.
    The solution is to ask authors that still do that to either rename their package names or use Register.jar as plugin like NarrowtuxLib does.
     
  23. Offline

    Mike Geitz

    So until other plugin authors do this, it's your plugin or theirs? Is there honestly no way I can revert to the narrowtuxlib and showcase I had yesterday that didn't require register? Every plugin I use (except showcase, as of today) works just fine without it.
     
  24. Offline

    narrowtux

    you can always download older builds at ci.getspout.org/job/NarrowtuxLib
    It is their plugins because they have a too old version of Register. The classes are not the same and this results in either missing methods or incompatible classes. I just changed it because it happened with some Showcase users too and that was definitely my fault.
     
  25. Offline

    Liger_XT5

    So basically put, a user has to (in detail for those who may follow):
    1. Shut down the server
    2. Delete narrowtuxlib.jar and register
    3. Download an older version of narrowtuc from http://ci.getspout.org/job/NarrowtuxLib/12/
    4. Go to plugins/spout/config.yml and change autoupdate to false.
    5. Start server.

    For me, it ran fine and no register issues, didn't even download it.

    So what is the best way for the other authors know what to do about the Narrowtuxlib/register issue and what to do to fix the whole thing?

    Edit:
    Just readded my other plugins, something else is force updating narrowtuxlib... I've been working on this problem for nearly 6 hours, off and on...
     
  26. Offline

    Clucky

    Register.jar makes my server extremely laggy and causes it to have a "read time out."
    please fix or change somethign:
    Code:
    21:21:47 [SEVERE] Could not pass event PLUGIN_ENABLE to Register
    java.lang.IncompatibleClassChangeError: Expected static method com.nijikokun.register.payment.Methods.hasMethod()Z
        at com.nijikokun.register.listeners.server.onPluginEnable(server.java:37)
        at org.bukkit.plugin.java.JavaPluginLoader$47.execute(JavaPluginLoader.java:585)
        at org.bukkit.plugin.RegisteredListener.callEvent(RegisteredListener.java:58)
        at org.bukkit.plugin.SimplePluginManager.callEvent(SimplePluginManager.java:339)
        at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:964)
        at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:280)
        at org.bukkit.craftbukkit.CraftServer.loadPlugin(CraftServer.java:171)
        at org.bukkit.craftbukkit.CraftServer.enablePlugins(CraftServer.java:154)
        at net.minecraft.server.MinecraftServer.e(MinecraftServer.java:297)
        at net.minecraft.server.MinecraftServer.a(MinecraftServer.java:284)
        at net.minecraft.server.MinecraftServer.init(MinecraftServer.java:152)
        at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:348)
        at net.minecraft.server.ThreadServerApplication.run(SourceFile:417)
    21:21:47 [SEVERE] Permission node 'groups' in server config is invalid
    java.lang.IllegalArgumentException: 'default' key contained unknown value
        at org.bukkit.permissions.Permission.loadPermission(Permission.java:268)
        at org.bukkit.permissions.Permission.loadPermission(Permission.java:235)
        at org.bukkit.craftbukkit.CraftServer.loadCustomPermissions(CraftServer.java:455)
        at org.bukkit.craftbukkit.CraftServer.enablePlugins(CraftServer.java:160)
        at net.minecraft.server.MinecraftServer.e(MinecraftServer.java:297)
        at net.minecraft.server.MinecraftServer.a(MinecraftServer.java:284)
        at net.minecraft.server.MinecraftServer.init(MinecraftServer.java:152)
        at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:348)
        at net.minecraft.server.ThreadServerApplication.run(SourceFile:417)
    
    
     
  27. Offline

    L24D

    @narrowtux
    Same with me as the above... NTL is becoming very intrusive. It installs other things without one's consent, and the things it installs (Register.jar) causes every single plugin on my server to fail.
    (and i'm pretty sure that's a definition for malware in my book)
    I know you made an option to autodownload this crap, but can you please set it as off by default next time?

    It would save people a lot of grief. :p
    Thanks.
     
  28. Offline

    Kaikz

    Or you could just compile your own 0.5 version that actually works with Register.jar and other plugins: http://cl.ly/BDZd
     
  29. Offline

    Liger_XT5

    My main problem is other plugins auto downloading the newest narrowtux and then letting it download stuff. I thought I found the problem with spout, but now it's another dang plugin. Very annoying...

    I've downloaded it, but something keeps overwriting it with a new downloaded file. I run about 50 plugins and going one plugin after another is annoying, even after the 5th or 6th time.
     
  30. Offline

    narrowtux

    Guy, I explained the Register stuff several times now. Register was inside NarrowtuxLib since v0.2 or so. Now I moved it out of the plugin so people who need economy systems can use newer versions. BTW, you can turn downloading Register off, but then Showcase won't work :p
     
  31. Offline

    Liger_XT5

    Well I did just notice the narrowtux config has an option to disable register and spout. I know you read about disabling register, but doing so in the config file didn't dawn on my mind at all. I feel like an idiot...
     

Share This Page